# FIXME: fix debug stuff
%global debug_package %{nil}

Name:		wireguard-tools
Version:	1.0.20210914
Release:	%mkrel 1
URL:		https://www.wireguard.com/
Summary:	Fast, modern, secure VPN tunnel
License:	GPLv2
Group:		Networking/Other
Source0:	https://git.zx2c4.com/WireGuard/snapshot/wireguard-tools-%{version}.tar.xz
Source1:    10-wireguard.conf
BuildRequires: 	pkgconfig(libmnl)

%description
WireGuard is a novel VPN that runs inside the Linux Kernel and uses
state-of-the-art cryptography (the "Noise" protocol). It aims to be
faster, simpler, leaner, and more useful than IPSec, while avoiding
the massive headache. It intends to be considerably more performant
than OpenVPN. WireGuard is designed as a general purpose VPN for
running on embedded interfaces and super computers alike, fit for
many different circumstances. It runs over UDP.

This package provides the wg binary for controling WireGuard. Please
reboot so the wireguard kernel driver can automatically load at boot.

REQUIRES kernel 5.4.6 or better!


%prep
%setup -q

%build
cd %{_builddir}/%{name}-%{version}/src
%make_build

%install
rm -rf %buildroot

cd %{_builddir}/%{name}-%{version}/src
%make_install

install -Dm 0644 %SOURCE1 %buildroot/%{_sysconfdir}/modprobe.preload.d/10-wireguard.conf

#install extra rpm doesnt pickup
install -m 0644 man/wg-quick.8 %buildroot/%{_mandir}/man8/wg-quick.8
install -m 0644 completion/wg-quick.bash-completion %buildroot/%{_datadir}/bash-completion/completions/wg-quick
install -m 0755 wg-quick/linux.bash %buildroot/%{_bindir}/wg-quick
mkdir -p %buildroot/%{_sysconfdir}/wireguard

%files
%doc README.md

%{_bindir}/wg
%{_bindir}/wg-quick
%{_datadir}/bash-completion/completions/wg
%{_datadir}/bash-completion/completions/wg-quick
%{_mandir}/man8/wg.8*
%{_mandir}/man8/wg-quick.8*
%{_sysconfdir}/modprobe.preload.d/10-wireguard.conf
%dir %{_sysconfdir}/wireguard

%changelog
* Sun Oct 24 2021 tex - 1.0.20210914-1pclos2021
- new version

* Sat Jul 31 2021 tex - 1.0.20210424-1pclos2021
- new version

* Fri Mar 18 2021 tex - 1.0.20210315-1pclos2021
- update

* Tue Feb 23 2021 tex - 1.0.20210223-1pclos2021
- update

* Wed Dec 09 2020 tex - 1.0.20200827-1pclos2020
- update

* Mon Feb 24 2020 tex - 1.0.20200206-1pclos2020
- update

* Sat Dec 21 2019 tex - 0.0.20191219-1pclos2019
- update to 0.0.20191219
